/*******************************************************************************
* File Name: Threshold.h  
* Version 2.20
*
* Description:
*  This file contains Pin function prototypes and register defines
*
* Note:
*
********************************************************************************
* Copyright 2008-2015, Cypress Semiconductor Corporation.  All rights reserved.
* You may use this file only in accordance with the license, terms, conditions, 
* disclaimers, and limitations in the end user license agreement accompanying 
* the software package with which this file was provided.
*******************************************************************************/

#if !defined(CY_PINS_Threshold_H) /* Pins Threshold_H */
#define CY_PINS_Threshold_H

#include "cytypes.h"
#include "cyfitter.h"
#include "cypins.h"
#include "Threshold_aliases.h"

/* APIs are not generated for P15[7:6] */
#if !(CY_PSOC5A &&\
	 Threshold__PORT == 15 && ((Threshold__MASK & 0xC0) != 0))


/***************************************
*        Function Prototypes             
***************************************/    

/**
* \addtogroup group_general
* @{
*/
void    Threshold_Write(uint8 value);
void    Threshold_SetDriveMode(uint8 mode);
uint8   Threshold_ReadDataReg(void);
uint8   Threshold_Read(void);
void    Threshold_SetInterruptMode(uint16 position, uint16 mode);
uint8   Threshold_ClearInterrupt(void);
/** @} general */

/***************************************
*           API Constants        
***************************************/
/**
* \addtogroup group_constants
* @{
*/
    /** \addtogroup driveMode Drive mode constants
     * \brief Constants to be passed as "mode" parameter in the Threshold_SetDriveMode() function.
     *  @{
     */
        #define Threshold_DM_ALG_HIZ         PIN_DM_ALG_HIZ
        #define Threshold_DM_DIG_HIZ         PIN_DM_DIG_HIZ
        #define Threshold_DM_RES_UP          PIN_DM_RES_UP
        #define Threshold_DM_RES_DWN         PIN_DM_RES_DWN
        #define Threshold_DM_OD_LO           PIN_DM_OD_LO
        #define Threshold_DM_OD_HI           PIN_DM_OD_HI
        #define Threshold_DM_STRONG          PIN_DM_STRONG
        #define Threshold_DM_RES_UPDWN       PIN_DM_RES_UPDWN
    /** @} driveMode */
/** @} group_constants */
    
/* Digital Port Constants */
#define Threshold_MASK               Threshold__MASK
#define Threshold_SHIFT              Threshold__SHIFT
#define Threshold_WIDTH              1u

/* Interrupt constants */
#if defined(Threshold__INTSTAT)
/**
* \addtogroup group_constants
* @{
*/
    /** \addtogroup intrMode Interrupt constants
     * \brief Constants to be passed as "mode" parameter in Threshold_SetInterruptMode() function.
     *  @{
     */
        #define Threshold_INTR_NONE      (uint16)(0x0000u)
        #define Threshold_INTR_RISING    (uint16)(0x0001u)
        #define Threshold_INTR_FALLING   (uint16)(0x0002u)
        #define Threshold_INTR_BOTH      (uint16)(0x0003u) 
    /** @} intrMode */
/** @} group_constants */

    #define Threshold_INTR_MASK      (0x01u) 
#endif /* (Threshold__INTSTAT) */


/***************************************
*             Registers        
***************************************/

/* Main Port Registers */
/* Pin State */
#define Threshold_PS                     (* (reg8 *) Threshold__PS)
/* Data Register */
#define Threshold_DR                     (* (reg8 *) Threshold__DR)
/* Port Number */
#define Threshold_PRT_NUM                (* (reg8 *) Threshold__PRT) 
/* Connect to Analog Globals */                                                  
#define Threshold_AG                     (* (reg8 *) Threshold__AG)                       
/* Analog MUX bux enable */
#define Threshold_AMUX                   (* (reg8 *) Threshold__AMUX) 
/* Bidirectional Enable */                                                        
#define Threshold_BIE                    (* (reg8 *) Threshold__BIE)
/* Bit-mask for Aliased Register Access */
#define Threshold_BIT_MASK               (* (reg8 *) Threshold__BIT_MASK)
/* Bypass Enable */
#define Threshold_BYP                    (* (reg8 *) Threshold__BYP)
/* Port wide control signals */                                                   
#define Threshold_CTL                    (* (reg8 *) Threshold__CTL)
/* Drive Modes */
#define Threshold_DM0                    (* (reg8 *) Threshold__DM0) 
#define Threshold_DM1                    (* (reg8 *) Threshold__DM1)
#define Threshold_DM2                    (* (reg8 *) Threshold__DM2) 
/* Input Buffer Disable Override */
#define Threshold_INP_DIS                (* (reg8 *) Threshold__INP_DIS)
/* LCD Common or Segment Drive */
#define Threshold_LCD_COM_SEG            (* (reg8 *) Threshold__LCD_COM_SEG)
/* Enable Segment LCD */
#define Threshold_LCD_EN                 (* (reg8 *) Threshold__LCD_EN)
/* Slew Rate Control */
#define Threshold_SLW                    (* (reg8 *) Threshold__SLW)

/* DSI Port Registers */
/* Global DSI Select Register */
#define Threshold_PRTDSI__CAPS_SEL       (* (reg8 *) Threshold__PRTDSI__CAPS_SEL) 
/* Double Sync Enable */
#define Threshold_PRTDSI__DBL_SYNC_IN    (* (reg8 *) Threshold__PRTDSI__DBL_SYNC_IN) 
/* Output Enable Select Drive Strength */
#define Threshold_PRTDSI__OE_SEL0        (* (reg8 *) Threshold__PRTDSI__OE_SEL0) 
#define Threshold_PRTDSI__OE_SEL1        (* (reg8 *) Threshold__PRTDSI__OE_SEL1) 
/* Port Pin Output Select Registers */
#define Threshold_PRTDSI__OUT_SEL0       (* (reg8 *) Threshold__PRTDSI__OUT_SEL0) 
#define Threshold_PRTDSI__OUT_SEL1       (* (reg8 *) Threshold__PRTDSI__OUT_SEL1) 
/* Sync Output Enable Registers */
#define Threshold_PRTDSI__SYNC_OUT       (* (reg8 *) Threshold__PRTDSI__SYNC_OUT) 

/* SIO registers */
#if defined(Threshold__SIO_CFG)
    #define Threshold_SIO_HYST_EN        (* (reg8 *) Threshold__SIO_HYST_EN)
    #define Threshold_SIO_REG_HIFREQ     (* (reg8 *) Threshold__SIO_REG_HIFREQ)
    #define Threshold_SIO_CFG            (* (reg8 *) Threshold__SIO_CFG)
    #define Threshold_SIO_DIFF           (* (reg8 *) Threshold__SIO_DIFF)
#endif /* (Threshold__SIO_CFG) */

/* Interrupt Registers */
#if defined(Threshold__INTSTAT)
    #define Threshold_INTSTAT            (* (reg8 *) Threshold__INTSTAT)
    #define Threshold_SNAP               (* (reg8 *) Threshold__SNAP)
    
	#define Threshold_0_INTTYPE_REG 		(* (reg8 *) Threshold__0__INTTYPE)
#endif /* (Threshold__INTSTAT) */

#endif /* CY_PSOC5A... */

#endif /*  CY_PINS_Threshold_H */


/* [] END OF FILE */
